## org.hornetq.rest.integration
Class RestMessagingBootstrapListener

    java.lang.Object
      org.hornetq.rest.integration.RestMessagingBootstrapListener

All Implemented Interfaces:
  java.util.EventListener, javax.servlet.ServletContextListener

    public class RestMessagingBootstrapListener

extends java.lang.Object
implements javax.servlet.ServletContextListener

Version:
  $Revision: 1 $
Author:
  Bill Burke

Constructor Summary
`RestMessagingBootstrapListener()`

Method Summary
`void` `contextDestroyed(javax.servlet.ServletContextEvent servletContextEvent)`
`void` `contextInitialized(javax.servlet.ServletContextEvent contextEvent)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RestMessagingBootstrapListener

    public RestMessagingBootstrapListener()

Method Detail

### contextInitialized

    public void contextInitialized(javax.servlet.ServletContextEvent contextEvent)

  Specified by:
    `contextInitialized` in interface `javax.servlet.ServletContextListener`

### contextDestroyed

    public void contextDestroyed(javax.servlet.ServletContextEvent servletContextEvent)

  Specified by:
    `contextDestroyed` in interface `javax.servlet.ServletContextListener`

Copyright © 2013. All Rights Reserved.